#include <iostream>
#include <cmath>

using namespace std;

class CalculRacineCarree {
	public :

	static double RacineCarree(double X) {
		double n1=0, n2=1;
		while ( (fabs(n2-n1)) > 0.0001) {
			n1 = n2;
			n2 = 0.5*(n1+X/n1);
		}
		return n2;
	}
};



int main(int argc, char** argv) { 
	double X;
	std::cout << "Calcul de la racine carre de X " << std::endl;
	std::cout << "X ? " << std::endl;
	std::cin >> X;
	std::cout << "La racine carre de " << X << " est " << CalculRacineCarree::RacineCarree(X) << std::endl; 
	system("pause");
	return 0;
}


        
